<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>

	<!-- Creates a container element used to group other HTML elements -->
	<!-- "header" value is used for SEO -->
	<!-- <div id="header"> -->
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>
	<!-- </div> -->

	<!-- HTML semantic tags are optimized for SEO -->

	<!-- <div id="main"> -->
	<main>
		<!-- <div id="section"> -->
		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that mix up with HTML code)</em></p>

			<!-- Define html table element -->
			<table border="1">
				<!-- Define the table header -->
				<thead>
					<!-- Define table row -->
					<tr>
						<!-- Define a table header element data. Automatically bolds the text -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>
				<!-- Define table body content -->
				<tbody>
					<tr>
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>Peso sign</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation marks</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation mark (apostrophe)</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>lower tilde</td>
					</tr>
					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>upper tilde</td>
					</tr>
				</tbody>
				<!-- Table footer contents -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>
			</table>
		</section>
		<!-- </div> -->

		<hr>

		<!-- <div id="section"> -->
		<section>
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up a form</em></p>

			<form action="https://www.google.com">
				<label for="full-name">Full name:</label>
				<!-- 
			
					- <label> tag - creates a text element that will serve as a label for an input field. This creates an inline element.
					- <input> tag - creates a form input element to capture user input. This creates an inline element.
					- The "for" attribute is used with the "id" attribute in an input element. This allows the users to select the input field when they click on the label for a better user experience. Remove this attribute to demonstrate how it works.
					- The "type" attribute will define what type of information the input field should have. Changing it's value will automatically change the bahavior of the input field.
					- The "name" attribute will provide the input field with a name that we can use to associate with the information provided by the user.
					- The "required" attribute will not allow the form to be submitted without any user input. Leave the input field empty to demonstrate how it works.
				-->
				<input type="text" name="full-name" id="full-name" required autocomplete placeholder="first name last name"> <br>

				<label for="birth-date">Birth Date</label>
				<input type="date" name="birth-date" id="birth-date" required> <br>

				<label for="age">Age</label>
				<input type="number" name="age" id="age" required> <br>

				<label for="gender">Gender</label>

				<!-- Creates a dropdown menu with selectable values -->
				<select name="gender" id="gender">
					<!-- Adds options for the dropdown menu -->
					<option value="disabled" disabled>Disabled</option>
					<option value="man">Man</option>
					<option value="woman">Woman</option>
					<option value="rather-not-say" selected>Rather not say</option>
				</select> <br>

				<label for="notes">Notes</label>
				<textarea name="notes" id="notes" cols="30" rows="5"></textarea> <br>

				<label>New User</label>

				<!-- Creates the radio button as input using type radio -->
				<!-- "name" attribute should be the same for all radio button inputs  -->
				<input type="radio" name="new-user" id="user-type1" value="yes">
				<label for="user-type1">Yes</label>

				<input type="radio" name="new-user" id="user-type2" value="yes">
				<label for="user-type2">No</label> <br>

				<label>Role</label>

				<!-- Create checkboxes for multiple choices -->
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label>
				<input type="checkbox" name="role2" id="role2" value="student">
				<label for="role2">Student</label>
				<input type="checkbox" name="role3" id="role3" value="manager">
				<label for="role3">Manager</label>

				<br><br>
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
			</form>
		</section>
		<!-- </div> -->
	</main>
	<!-- </div> -->

	
</body>
</html>